Some SPEC files can be found in the XdTV tarball:
-------------------------------------------------
- One for the Fedora Core distribution
- One for the Mandriva Linux distribution
- One for the OpenSuse distribution
- One for any RPM Linux distribution

With that SPEC files, you can use several switch:

- with or -without tvfonts : to create or not the xdtv-OSD-fonts package.
- with or -without optimization: to create binaries optimized for your CPU.
- with or -without debug: to create binaries with debugging capabilities.
- with or -without xinerama: to create binaries with the xinerama support.
- with or -without ogg: to create binaries with the ogg support.
- with or -without xvid: to create binaries with the xvid support.
- with or -without ffmpeg: to create binaries with the ffmpeg support.
- with or -without ffmpeg_amrnb: to create binaries with the ffmpeg_amrnb support. (need ffmpeg)
- with or -without ffmpeg_amrnb_fixed: to create binaries with the ffmpeg_amrnb_fixed support. (need ffmpeg)
- with or -without ffmpeg_amrwb: to create binaries with the ffmpeg_amrwb support. (need ffmpeg)
- with or -without divx: to create binaries with the divx support.
- with or -without lame: to create binaries with the lame support.
- with or -without faac: to create binaries with the faac support (need ffmpeg)
- with or -without x264: to create binaries with the x264 support. (need ffmpeg)
- with or -without dvb: to create binaries with the dvb support. (need ffmpeg)
- with or -without zvbi: to create binaries with the zvbi support (to capture channels names during a freq. scanning)
- with or -without lirc: to create binaries with the lirc support. (remote)
- with or -without alsa: to create binaries with the alsa support. (modern sound support)
- with or -without png: to create binaries with the png support. (For capturing AleVT & XdTV snapshots)
- with or -without jpeg: to create binaries with the jpeg support. (For capturing AleVT & XdTV snapshots)
- with or -without nextaw: to create binaries with the nextaw support. (To have a better GUI)
- with or -without xawm: to create binaries with the xawm support. (To have a better GUI)
- with or -without xaw95: to create binaries with the xaw95 support. (To have a better GUI)
- with or -without xaw3d: to create binaries with the xaw3d support. (To have a better GUI)

Example:
rpmbuild -ba xdtv.spec -with tvfonts -without dvb -without divx

--------------------------------------------------------------------------------------------
The minimum required to compile XdTV:
X11, XPM & Xaw from Xorg & Xterm

The minimum required to compile the XdTV OSD fonts:
bdftopcf, mkfontdir & mkfontscale from Xorg

Options:
To have a better GUI:
neXtaw (0.15.1) from http://siag.nu/neXtaw/
or XawM from http://sourceforge.net/projects/xawm/
or Xaw95 & Xaw3d (not advised)

To Record with a lot of audio/video codecs:
FFmpeg (50.0.0+) from http://ffmpeg.sourceforge.net/ read README.ffmpeg for more infos
FFmpeg is now inside XdTV
X264 (CVS) http://developers.videolan.org/x264.html (With FFmpeg)
Faac (1.x+) from http://www.audiocoding.com/ (with FFmpeg)
Lame (3.96+)from http://lame.sourceforge.net/
XviD (1.x+) from http://www.xvid.org/
DivX (5.0.1alpha only) from http://www.divx.com/divx/linux/
Ogg (1.1.2+) & Theora (1.0alpha5) & Vorbis (1.1.0+) from http://www.xiph.org/

To have the DVB support:
SDL from http://www.libsdl.org/
libcurl from http://curl.haxx.se/libcurl/

Other options:
Zvbi (0.2.15+) from http://zapping.sourceforge.net/ (Scanning channels and get their names
Alsa (1.x) from http://www.alsa-project.org/ (Better sound architecture than OSS)
Lirc (0.7.x+) from http://www.lirc.org/ (If you have a remote and want to use it)
libpng & libjpeg (For capturing AleVT & XdTV snapshots)
--------------------------------------------------------------------------------------------

Pingus - December 2006

